namespace Brizco.Common.Models.Claims;
public static class ApplicationPermission
{
    public const string ManageReports = nameof(ManageReports);
    public const string ManageRoles = nameof(ManageRoles);
    public const string ViewRoles = nameof(ViewRoles);

    public const string ManageUsers = nameof(ManageUsers);
    public const string ViewUsers = nameof(ViewUsers);

    public const string ManageComplexes = nameof(ManageComplexes);
    public const string ViewComplexes = nameof(ViewComplexes);


    public const string ManageStaffs = nameof(ManageStaffs);
    public const string ViewStaffs = nameof(ViewStaffs);

    public const string ManageShifts = nameof(ManageShifts);
    public const string ViewShifts = nameof(ViewShifts);

    public const string ViewShiftPlans = nameof(ViewShiftPlans);
    public const string ManageShiftPlans = nameof(ManageShiftPlans);

    public const string ManageTasks = nameof(ManageTasks);
    public const string ViewTasks = nameof(ViewTasks);

    public const string ManageActivities = nameof(ManageActivities);
    public const string ChangeActivityStatus = nameof(ChangeActivityStatus);
    public const string ViewActivities = nameof(ViewActivities);

    public const string ManageRoutines = nameof(ManageRoutines);
    public const string ViewRoutines = nameof(ViewRoutines);

    public const string ManagePositions = nameof(ManagePositions);
    public const string ViewPositions = nameof(ViewPositions);

    public const string ManageSections = nameof(ManageSections);
    public const string ViewSections = nameof(ViewSections);

    public const string ViewDashboard = nameof(ViewDashboard);
    public const string ViewComplexSettings = nameof(ViewComplexSettings);
}
